# V3SLOSLODetailedResponse

## Fields

| Field                    | Type                                                                                                               | Required             | Description |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------ | -------------------- | ----------- |
| `id`                     | *int*                                                                                                              | :heavy\_check\_mark: | N/A         |
| `name`                   | *str*                                                                                                              | :heavy\_check\_mark: | N/A         |
| `description`            | *Optional\[str]*                                                                                                   | :heavy\_minus\_sign: | N/A         |
| `time_interval_type`     | [models.V3SLOTimeIntervalType](/python-sdk/docs/models/v3slotimeintervaltype.md)                                   | :heavy\_check\_mark: | N/A         |
| `service_ids`            | List\[*str*]                                                                                                       | :heavy\_check\_mark: | N/A         |
| `slis`                   | List\[*str*]                                                                                                       | :heavy\_check\_mark: | N/A         |
| `target_slo`             | *float*                                                                                                            | :heavy\_check\_mark: | N/A         |
| `current_slo`            | *Optional\[float]*                                                                                                 | :heavy\_minus\_sign: | N/A         |
| `start_time`             | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                               | :heavy\_check\_mark: | N/A         |
| `end_time`               | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                               | :heavy\_check\_mark: | N/A         |
| `is_healthy`             | *Optional\[bool]*                                                                                                  | :heavy\_minus\_sign: | N/A         |
| `remaining_error_budget` | *Optional\[float]*                                                                                                 | :heavy\_minus\_sign: | N/A         |
| `allocated_error_budget` | *float*                                                                                                            | :heavy\_check\_mark: | N/A         |
| `is_active`              | *bool*                                                                                                             | :heavy\_check\_mark: | N/A         |
| `tags`                   | [OptionalNullable\[models.V3SLOSLODetailedResponseTags\]](/python-sdk/docs/models/v3sloslodetailedresponsetags.md) | :heavy\_minus\_sign: | N/A         |
| `incident_count`         | *Optional\[int]*                                                                                                   | :heavy\_minus\_sign: | N/A         |
| `false_positive_count`   | *Optional\[int]*                                                                                                   | :heavy\_minus\_sign: | N/A         |
| `slo_monitoring_checks`  | List\[[models.V3SLOSLOMonitoringCheck](/python-sdk/docs/models/v3sloslomonitoringcheck.md)]                        | :heavy\_minus\_sign: | N/A         |
| `slo_actions`            | List\[[models.V3SLOSLOAction](/python-sdk/docs/models/v3slosloaction.md)]                                          | :heavy\_minus\_sign: | N/A         |
| `owner_type`             | *str*                                                                                                              | :heavy\_check\_mark: | N/A         |
| `owner_id`               | *str*                                                                                                              | :heavy\_check\_mark: | N/A         |
| `org_id`                 | *str*                                                                                                              | :heavy\_check\_mark: | N/A         |
| `slo_owner_id`           | *Optional\[str]*                                                                                                   | :heavy\_minus\_sign: | N/A         |
| `slo_owner_type`         | [Optional\[models.V3SLOSLOOwnerType\]](/python-sdk/docs/models/v3slosloownertype.md)                               | :heavy\_minus\_sign: | N/A         |
| `created_at`             | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                               | :heavy\_minus\_sign: | N/A         |
| `updated_at`             | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                               | :heavy\_minus\_sign: | N/A         |
| `deleted_at`             | [date](https://docs.python.org/3/library/datetime.html#date-objects)                                               | :heavy\_minus\_sign: | N/A         |
| `duration_in_days`       | *Optional\[int]*                                                                                                   | :heavy\_minus\_sign: | N/A         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/python-sdk/docs/models/v3sloslodetailedresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
